/*++

Copyright (c) 2012 Minoca Corp. All Rights Reserved

Module Name:

    fontdata.c

Abstract:

    This module contains data for an 8x8 font.

Author:

    Evan Green 23-Aug-2012

Environment:

    Kernel

--*/

//
// ------------------------------------------------------------------- Includes
//

#include "basevidp.h"

//
// ----------------------------------------------------------------------- Data
//

const UCHAR VidFontVga8x16Data[16 * 95] = {
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x3C,  // --OOOO--
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x24,  // --O--O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0xFE,  // OOOOOOO-
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0xFE,  // OOOOOOO-
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x18,  // ---OO---
    0x18,  // ---OO---
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC2,  // OO----O-
    0xC0,  // OO------
    0x7C,  // -OOOOO--
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x86,  // O----OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC2,  // OO----O-
    0xC6,  // OO---OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC6,  // OO---OO-
    0x86,  // O----OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0x38,  // --OOO---
    0x76,  // -OOO-OO-
    0xDC,  // OO-OOO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x60,  // -OO-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0xFF,  // OOOOOOOO
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x7E,  // -OOOOOO-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x02,  // ------O-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC0,  // OO------
    0x80,  // O-------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x6C,  // -OO-OO--
    0x38,  // --OOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x38,  // --OOO---
    0x78,  // -OOOO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC0,  // OO------
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x3C,  // --OOOO--
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0C,  // ----OO--
    0x1C,  // ---OOO--
    0x3C,  // --OOOO--
    0x6C,  // -OO-OO--
    0xCC,  // OO--OO--
    0xFE,  // OOOOOOO-
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x1E,  // ---OOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xFC,  // OOOOOO--
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x60,  // -OO-----
    0xC0,  // OO------
    0xC0,  // OO------
    0xFC,  // OOOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7E,  // -OOOOOO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x78,  // -OOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x60,  // -OO-----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xDE,  // OO-OOOO-
    0xDE,  // OO-OOOO-
    0xDE,  // OO-OOOO-
    0xDC,  // OO-OOO--
    0xC0,  // OO------
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xFC,  // OOOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0xC2,  // OO----O-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xC2,  // OO----O-
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xF8,  // OOOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x6C,  // -OO-OO--
    0xF8,  // OOOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x66,  // -OO--OO-
    0x62,  // -OO---O-
    0x68,  // -OO-O---
    0x78,  // -OOOO---
    0x68,  // -OO-O---
    0x60,  // -OO-----
    0x62,  // -OO---O-
    0x66,  // -OO--OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x66,  // -OO--OO-
    0x62,  // -OO---O-
    0x68,  // -OO-O---
    0x78,  // -OOOO---
    0x68,  // -OO-O---
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0xC2,  // OO----O-
    0xC0,  // OO------
    0xC0,  // OO------
    0xDE,  // OO-OOOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x66,  // -OO--OO-
    0x3A,  // --OOO-O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x1E,  // ---OOOO-
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x78,  // -OOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE6,  // OOO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x6C,  // -OO-OO--
    0x78,  // -OOOO---
    0x78,  // -OOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xF0,  // OOOO----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x62,  // -OO---O-
    0x66,  // -OO--OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xEE,  // OOO-OOO-
    0xFE,  // OOOOOOO-
    0xFE,  // OOOOOOO-
    0xD6,  // OO-O-OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xE6,  // OOO--OO-
    0xF6,  // OOOO-OO-
    0xFE,  // OOOOOOO-
    0xDE,  // OO-OOOO-
    0xCE,  // OO--OOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xD6,  // OO-O-OO-
    0xDE,  // OO-OOOO-
    0x7C,  // -OOOOO--
    0x0C,  // ----OO--
    0x0E,  // ----OOO-
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x60,  // -OO-----
    0x38,  // --OOO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x7E,  // -OOOOOO-
    0x5A,  // -O-OO-O-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x6C,  // -OO-OO--
    0x38,  // --OOO---
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xFE,  // OOOOOOO-
    0xEE,  // OOO-OOO-
    0x6C,  // -OO-OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x6C,  // -OO-OO--
    0x7C,  // -OOOOO--
    0x38,  // --OOO---
    0x38,  // --OOO---
    0x7C,  // -OOOOO--
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0x86,  // O----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC2,  // OO----O-
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x80,  // O-------
    0xC0,  // OO------
    0xE0,  // OOO-----
    0x70,  // -OOO----
    0x38,  // --OOO---
    0x1C,  // ---OOO--
    0x0E,  // ----OOO-
    0x06,  // -----OO-
    0x02,  // ------O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x10,  // ---O----
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFF,  // OOOOOOOO
    0x00,  // --------
    0x00,  // --------

    0x30,  // --OO----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x78,  // -OOOO---
    0x0C,  // ----OO--
    0x7C,  // -OOOOO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE0,  // OOO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x78,  // -OOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x1C,  // ---OOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x3C,  // --OOOO--
    0x6C,  // -OO-OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0x64,  // -OO--O--
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x76,  // -OOO-OO-
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x7C,  // -OOOOO--
    0x0C,  // ----OO--
    0xCC,  // OO--OO--
    0x78,  // -OOOO---
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE0,  // OOO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x6C,  // -OO-OO--
    0x76,  // -OOO-OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x38,  // --OOO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x00,  // --------
    0x0E,  // ----OOO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE0,  // OOO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x66,  // -OO--OO-
    0x6C,  // -OO-OO--
    0x78,  // -OOOO---
    0x78,  // -OOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xEC,  // OOO-OO--
    0xFE,  // OOOOOOO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xDC,  // OO-OOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xDC,  // OO-OOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x76,  // -OOO-OO-
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x7C,  // -OOOOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x1E,  // ---OOOO-
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xDC,  // OO-OOO--
    0x76,  // -OOO-OO-
    0x66,  // -OO--OO-
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0x60,  // -OO-----
    0x38,  // --OOO---
    0x0C,  // ----OO--
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x30,  // --OO----
    0x30,  // --OO----
    0xFC,  // OOOOOO--
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x36,  // --OO-OO-
    0x1C,  // ---OOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xFE,  // OOOOOOO-
    0x6C,  // -OO-OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0x6C,  // -OO-OO--
    0x38,  // --OOO---
    0x38,  // --OOO---
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7E,  // -OOOOOO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0xF8,  // OOOOO---
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xCC,  // OO--OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0E,  // ----OOO-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x70,  // -OOO----
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x0E,  // ----OOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x70,  // -OOO----
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x0E,  // ----OOO-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x70,  // -OOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x76,  // -OOO-OO-
    0xDC,  // OO-OOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
};

const UCHAR VidFontVga9x16Data[16 * 95] = {
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x3C,  // --OOOO--
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x24,  // --O--O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0xFE,  // OOOOOOO-
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0xFE,  // OOOOOOO-
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x18,  // ---OO---
    0x18,  // ---OO---
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC2,  // OO----O-
    0xC0,  // OO------
    0x7C,  // -OOOOO--
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x86,  // O----OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC2,  // OO----O-
    0xC6,  // OO---OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC6,  // OO---OO-
    0x86,  // O----OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0x38,  // --OOO---
    0x76,  // -OOO-OO-
    0xDC,  // OO-OOO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x60,  // -OO-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0xFF,  // OOOOOOOO
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x7E,  // -OOOOOO-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x02,  // ------O-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC0,  // OO------
    0x80,  // O-------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xDB,  // OO-OO-OO
    0xDB,  // OO-OO-OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x38,  // --OOO---
    0x78,  // -OOOO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC0,  // OO------
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x3C,  // --OOOO--
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0C,  // ----OO--
    0x1C,  // ---OOO--
    0x3C,  // --OOOO--
    0x6C,  // -OO-OO--
    0xCC,  // OO--OO--
    0xFE,  // OOOOOOO-
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x1E,  // ---OOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xFC,  // OOOOOO--
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x60,  // -OO-----
    0xC0,  // OO------
    0xC0,  // OO------
    0xFC,  // OOOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7E,  // -OOOOOO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x78,  // -OOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x60,  // -OO-----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xDE,  // OO-OOOO-
    0xDE,  // OO-OOOO-
    0xDE,  // OO-OOOO-
    0xDC,  // OO-OOO--
    0xC0,  // OO------
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xFC,  // OOOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0xC2,  // OO----O-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xC2,  // OO----O-
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xF8,  // OOOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x6C,  // -OO-OO--
    0xF8,  // OOOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x66,  // -OO--OO-
    0x62,  // -OO---O-
    0x68,  // -OO-O---
    0x78,  // -OOOO---
    0x68,  // -OO-O---
    0x60,  // -OO-----
    0x62,  // -OO---O-
    0x66,  // -OO--OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x66,  // -OO--OO-
    0x62,  // -OO---O-
    0x68,  // -OO-O---
    0x78,  // -OOOO---
    0x68,  // -OO-O---
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0xC2,  // OO----O-
    0xC0,  // OO------
    0xC0,  // OO------
    0xDE,  // OO-OOOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x66,  // -OO--OO-
    0x3A,  // --OOO-O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x1E,  // ---OOOO-
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x78,  // -OOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE6,  // OOO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x6C,  // -OO-OO--
    0x78,  // -OOOO---
    0x78,  // -OOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xF0,  // OOOO----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x62,  // -OO---O-
    0x66,  // -OO--OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC3,  // OO----OO
    0xE7,  // OOO--OOO
    0xFF,  // OOOOOOOO
    0xFF,  // OOOOOOOO
    0xDB,  // OO-OO-OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xE6,  // OOO--OO-
    0xF6,  // OOOO-OO-
    0xFE,  // OOOOOOO-
    0xDE,  // OO-OOOO-
    0xCE,  // OO--OOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xD6,  // OO-O-OO-
    0xDE,  // OO-OOOO-
    0x7C,  // -OOOOO--
    0x0C,  // ----OO--
    0x0E,  // ----OOO-
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x60,  // -OO-----
    0x38,  // --OOO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFF,  // OOOOOOOO
    0xDB,  // OO-OO-OO
    0x99,  // O--OO--O
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xDB,  // OO-OO-OO
    0xDB,  // OO-OO-OO
    0xFF,  // OOOOOOOO
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFF,  // OOOOOOOO
    0xC3,  // OO----OO
    0x86,  // O----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC1,  // OO-----O
    0xC3,  // OO----OO
    0xFF,  // OOOOOOOO
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x80,  // O-------
    0xC0,  // OO------
    0xE0,  // OOO-----
    0x70,  // -OOO----
    0x38,  // --OOO---
    0x1C,  // ---OOO--
    0x0E,  // ----OOO-
    0x06,  // -----OO-
    0x02,  // ------O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x10,  // ---O----
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFF,  // OOOOOOOO
    0x00,  // --------
    0x00,  // --------

    0x30,  // --OO----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x78,  // -OOOO---
    0x0C,  // ----OO--
    0x7C,  // -OOOOO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE0,  // OOO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x78,  // -OOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x1C,  // ---OOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x3C,  // --OOOO--
    0x6C,  // -OO-OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0x64,  // -OO--O--
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x76,  // -OOO-OO-
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x7C,  // -OOOOO--
    0x0C,  // ----OO--
    0xCC,  // OO--OO--
    0x78,  // -OOOO---
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE0,  // OOO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x6C,  // -OO-OO--
    0x76,  // -OOO-OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x38,  // --OOO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x00,  // --------
    0x0E,  // ----OOO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE0,  // OOO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x66,  // -OO--OO-
    0x6C,  // -OO-OO--
    0x78,  // -OOOO---
    0x78,  // -OOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xE6,  // OOO--OO-
    0xFF,  // OOOOOOOO
    0xDB,  // OO-OO-OO
    0xDB,  // OO-OO-OO
    0xDB,  // OO-OO-OO
    0xDB,  // OO-OO-OO
    0xDB,  // OO-OO-OO
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xDC,  // OO-OOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xDC,  // OO-OOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x76,  // -OOO-OO-
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x7C,  // -OOOOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x1E,  // ---OOOO-
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xDC,  // OO-OOO--
    0x76,  // -OOO-OO-
    0x66,  // -OO--OO-
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0x60,  // -OO-----
    0x38,  // --OOO---
    0x0C,  // ----OO--
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x30,  // --OO----
    0x30,  // --OO----
    0xFC,  // OOOOOO--
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x36,  // --OO-OO-
    0x1C,  // ---OOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xC3,  // OO----OO
    0xDB,  // OO-OO-OO
    0xDB,  // OO-OO-OO
    0xFF,  // OOOOOOOO
    0x66,  // -OO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC3,  // OO----OO
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0xC3,  // OO----OO
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7E,  // -OOOOOO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0xF8,  // OOOOO---
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xCC,  // OO--OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0E,  // ----OOO-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x70,  // -OOO----
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x0E,  // ----OOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x70,  // -OOO----
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x0E,  // ----OOO-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x70,  // -OOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x76,  // -OOO-OO-
    0xDC,  // OO-OOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
};

const UCHAR VidFontVerite8x16Data[16 * 95] = {
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x78,  // -OOOO---
    0x78,  // -OOOO---
    0x78,  // -OOOO---
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x00,  // --------
    0x30,  // --OO----
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x22,  // --O---O-
    0x22,  // --O---O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0xFE,  // OOOOOOO-
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0xFE,  // OOOOOOO-
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x7C,  // -OOOOO--
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0x70,  // -OOO----
    0x38,  // --OOO---
    0x1C,  // ---OOO--
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0x7C,  // -OOOOO--
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x60,  // -OO-----
    0x92,  // O--O--O-
    0x96,  // O--O-OO-
    0x6C,  // -OO-OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x6C,  // -OO-OO--
    0xD2,  // OO-O--O-
    0x92,  // O--O--O-
    0x0C,  // ----OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0x38,  // --OOO---
    0x30,  // --OO----
    0x76,  // -OOO-OO-
    0xDC,  // OO-OOO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x08,  // ----O---
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0xFF,  // OOOOOOOO
    0x3C,  // --OOOO--
    0x66,  // -OO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x7E,  // -OOOOOO-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x30,  // --OO----
    0x10,  // ---O----
    0x20,  // --O-----
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x02,  // ------O-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC0,  // OO------
    0x80,  // O-------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xCE,  // OO--OOO-
    0xDE,  // OO-OOOO-
    0xF6,  // OOOO-OO-
    0xE6,  // OOO--OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x38,  // --OOO---
    0x78,  // -OOOO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0x86,  // O----OO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC0,  // OO------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x3C,  // --OOOO--
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0C,  // ----OO--
    0x1C,  // ---OOO--
    0x3C,  // --OOOO--
    0x6C,  // -OO-OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xFE,  // OOOOOOO-
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x1E,  // ---OOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xFC,  // OOOOOO--
    0x06,  // -----OO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xFC,  // OOOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0x86,  // O----OO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x30,  // --OO----
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7E,  // -OOOOOO-
    0x06,  // -----OO-
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x08,  // ----O---
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x60,  // -OO-----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x9D,  // O--OOO-O
    0xA5,  // O-O--O-O
    0xA5,  // O-O--O-O
    0xAD,  // O-O-OO-O
    0xB6,  // O-OO-OO-
    0x40,  // -O------
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xFC,  // OOOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xFC,  // OOOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x66,  // -OO--OO-
    0x62,  // -OO---O-
    0x68,  // -OO-O---
    0x78,  // -OOOO---
    0x78,  // -OOOO---
    0x68,  // -OO-O---
    0x62,  // -OO---O-
    0x66,  // -OO--OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x66,  // -OO--OO-
    0x62,  // -OO---O-
    0x68,  // -OO-O---
    0x78,  // -OOOO---
    0x78,  // -OOOO---
    0x68,  // -OO-O---
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xCE,  // OO--OOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x1E,  // ---OOOO-
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x78,  // -OOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE6,  // OOO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x78,  // -OOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xF0,  // OOOO----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x62,  // -OO---O-
    0x66,  // -OO--OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0xC6,  // OO---OO-
    0xEE,  // OOO-OOO-
    0xFE,  // OOOOOOO-
    0xFE,  // OOOOOOO-
    0xD6,  // OO-O-OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x86,  // O----OO-
    0xC6,  // OO---OO-
    0xE6,  // OOO--OO-
    0xF6,  // OOOO-OO-
    0xFE,  // OOOOOOO-
    0xDE,  // OO-OOOO-
    0xCE,  // OO--OOO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xD6,  // OO-O-OO-
    0xDE,  // OO-OOOO-
    0x7C,  // -OOOOO--
    0x06,  // -----OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x6C,  // -OO-OO--
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC2,  // OO----O-
    0x60,  // -OO-----
    0x38,  // --OOO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x7E,  // -OOOOOO-
    0x5A,  // -O-OO-O-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x6C,  // -OO-OO--
    0x38,  // --OOO---
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xD6,  // OO-O-OO-
    0xFE,  // OOOOOOO-
    0xEE,  // OOO-OOO-
    0xC6,  // OO---OO-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x6C,  // -OO-OO--
    0x7C,  // -OOOOO--
    0x38,  // --OOO---
    0x38,  // --OOO---
    0x7C,  // -OOOOO--
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x3C,  // --OOOO--
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0xC6,  // OO---OO-
    0x86,  // O----OO-
    0x0C,  // ----OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC2,  // OO----O-
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x80,  // O-------
    0xC0,  // OO------
    0x60,  // -OO-----
    0x30,  // --OO----
    0x18,  // ---OO---
    0x0C,  // ----OO--
    0x06,  // -----OO-
    0x02,  // ------O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x10,  // ---O----
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFF,  // OOOOOOOO
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x10,  // ---O----
    0x08,  // ----O---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x78,  // -OOOO---
    0x0C,  // ----OO--
    0x7C,  // -OOOOO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE0,  // OOO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x7C,  // -OOOOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC0,  // OO------
    0xC0,  // OO------
    0xC0,  // OO------
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x1C,  // ---OOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x7C,  // -OOOOO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xFE,  // OOOOOOO-
    0xC0,  // OO------
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x1C,  // ---OOO--
    0x36,  // --OO-OO-
    0x30,  // --OO----
    0x78,  // -OOOO---
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x78,  // -OOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x76,  // -OOO-OO-
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x7C,  // -OOOOO--
    0x0C,  // ----OO--
    0xCC,  // OO--OO--
    0x78,  // -OOOO---
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE0,  // OOO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x6C,  // -OO-OO--
    0x76,  // -OOO-OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x38,  // --OOO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x00,  // --------
    0x1C,  // ---OOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x78,  // -OOOO---
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xE0,  // OOO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x66,  // -OO--OO-
    0x6C,  // -OO-OO--
    0x78,  // -OOOO---
    0x78,  // -OOOO---
    0x6C,  // -OO-OO--
    0x66,  // -OO--OO-
    0xE6,  // OOO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xEC,  // OOO-OO--
    0xFE,  // OOOOOOO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xDC,  // OO-OOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xDC,  // OO-OOO--
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x66,  // -OO--OO-
    0x7C,  // -OOOOO--
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x7C,  // -OOOOO--
    0x0C,  // ----OO--
    0x0C,  // ----OO--
    0x1E,  // ---OOOO-
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xDE,  // OO-OOOO-
    0x76,  // -OOO-OO-
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0xF0,  // OOOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0xC6,  // OO---OO-
    0x60,  // -OO-----
    0x38,  // --OOO---
    0x0C,  // ----OO--
    0xC6,  // OO---OO-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x30,  // --OO----
    0x30,  // --OO----
    0xFC,  // OOOOOO--
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x30,  // --OO----
    0x34,  // --OO-O--
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x76,  // -OOO-OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0xCC,  // OO--OO--
    0x78,  // -OOOO---
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xD6,  // OO-O-OO-
    0xFE,  // OOOOOOO-
    0x6C,  // -OO-OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x6C,  // -OO-OO--
    0x38,  // --OOO---
    0x6C,  // -OO-OO--
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0xC6,  // OO---OO-
    0x7E,  // -OOOOOO-
    0x06,  // -----OO-
    0x0C,  // ----OO--
    0xF8,  // OOOOO---
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x8C,  // O---OO--
    0x18,  // ---OO---
    0x30,  // --OO----
    0x60,  // -OO-----
    0xC2,  // OO----O-
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0E,  // ----OOO-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x70,  // -OOO----
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x0E,  // ----OOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x70,  // -OOO----
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x0E,  // ----OOO-
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x70,  // -OOO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x76,  // -OOO-OO-
    0xDC,  // OO-OOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
};

const UCHAR VidFontPs2Thin48x16Data[16 * 95] = {
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x24,  // --O--O--
    0x24,  // --O--O--
    0x24,  // --O--O--
    0x24,  // --O--O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x44,  // -O---O--
    0x44,  // -O---O--
    0xFE,  // OOOOOOO-
    0x44,  // -O---O--
    0x44,  // -O---O--
    0x44,  // -O---O--
    0xFE,  // OOOOOOO-
    0x44,  // -O---O--
    0x44,  // -O---O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x7C,  // -OOOOO--
    0x92,  // O--O--O-
    0x90,  // O--O----
    0x90,  // O--O----
    0x7C,  // -OOOOO--
    0x12,  // ---O--O-
    0x12,  // ---O--O-
    0x92,  // O--O--O-
    0x7C,  // -OOOOO--
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x62,  // -OO---O-
    0x92,  // O--O--O-
    0x64,  // -OO--O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x4C,  // -O--OO--
    0x92,  // O--O--O-
    0x8C,  // O---OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x44,  // -O---O--
    0x44,  // -O---O--
    0x38,  // --OOO---
    0x52,  // -O-O--O-
    0x8C,  // O---OO--
    0x84,  // O----O--
    0x84,  // O----O--
    0x7A,  // -OOOO-O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x10,  // ---O----
    0x10,  // ---O----
    0x20,  // --O-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x10,  // ---O----
    0x08,  // ----O---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x20,  // --O-----
    0x10,  // ---O----
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x54,  // -O-O-O--
    0x38,  // --OOO---
    0xFE,  // OOOOOOO-
    0x38,  // --OOO---
    0x54,  // -O-O-O--
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0xFE,  // OOOOOOO-
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x30,  // --OO----
    0x10,  // ---O----
    0x20,  // --O-----
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x04,  // -----O--
    0x04,  // -----O--
    0x08,  // ----O---
    0x08,  // ----O---
    0x10,  // ---O----
    0x10,  // ---O----
    0x20,  // --O-----
    0x20,  // --O-----
    0x40,  // -O------
    0x40,  // -O------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x46,  // -O---OO-
    0x4A,  // -O--O-O-
    0x52,  // -O-O--O-
    0x62,  // -OO---O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x04,  // -----O--
    0x0C,  // ----OO--
    0x14,  // ---O-O--
    0x24,  // --O--O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x1C,  // ---OOO--
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x42,  // -O----O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x04,  // -----O--
    0x0C,  // ----OO--
    0x14,  // ---O-O--
    0x24,  // --O--O--
    0x44,  // -O---O--
    0x84,  // O----O--
    0xFE,  // OOOOOOO-
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x7C,  // -OOOOO--
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x42,  // -O----O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x7C,  // -OOOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x02,  // ------O-
    0x02,  // ------O-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x44,  // -O---O--
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x38,  // --OOO---
    0x44,  // -O---O--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x38,  // --OOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3E,  // --OOOOO-
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x18,  // ---OO---
    0x08,  // ----O---
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0x20,  // --O-----
    0x10,  // ---O----
    0x08,  // ----O---
    0x04,  // -----O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x40,  // -O------
    0x20,  // --O-----
    0x10,  // ---O----
    0x08,  // ----O---
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0xBA,  // O-OOO-O-
    0xAA,  // O-O-O-O-
    0xAA,  // O-O-O-O-
    0xAA,  // O-O-O-O-
    0x9C,  // O--OOO--
    0x80,  // O-------
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x18,  // ---OO---
    0x24,  // --O--O--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x7E,  // -OOOOOO-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x7C,  // -OOOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x42,  // -O----O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x78,  // -OOOO---
    0x44,  // -O---O--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x44,  // -O---O--
    0x78,  // -OOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x7C,  // -OOOOO--
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x7C,  // -OOOOO--
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3E,  // --OOOOO-
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x4E,  // -O--OOO-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3E,  // --OOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x7E,  // -OOOOOO-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x1C,  // ---OOO--
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x1C,  // ---OOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x42,  // -O----O-
    0x44,  // -O---O--
    0x48,  // -O--O---
    0x50,  // -O-O----
    0x60,  // -OO-----
    0x60,  // -OO-----
    0x50,  // -O-O----
    0x48,  // -O--O---
    0x44,  // -O---O--
    0x42,  // -O----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0xC6,  // OO---OO-
    0xAA,  // O-O-O-O-
    0x92,  // O--O--O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0xC2,  // OO----O-
    0xA2,  // O-O---O-
    0xA2,  // O-O---O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x8A,  // O---O-O-
    0x8A,  // O---O-O-
    0x86,  // O----OO-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x7C,  // -OOOOO--
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x52,  // -O-O--O-
    0x4A,  // -O--O-O-
    0x3C,  // --OOOO--
    0x04,  // -----O--
    0x02,  // ------O-
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x7C,  // -OOOOO--
    0x48,  // -O--O---
    0x44,  // -O---O--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3E,  // --OOOOO-
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x3C,  // --OOOO--
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x28,  // --O-O---
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x92,  // O--O--O-
    0xAA,  // O-O-O-O-
    0xC6,  // OO---OO-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x28,  // --O-O---
    0x10,  // ---O----
    0x10,  // ---O----
    0x28,  // --O-O---
    0x44,  // -O---O--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x28,  // --O-O---
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x02,  // ------O-
    0x02,  // ------O-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0x80,  // O-------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x40,  // -O------
    0x40,  // -O------
    0x20,  // --O-----
    0x20,  // --O-----
    0x10,  // ---O----
    0x10,  // ---O----
    0x08,  // ----O---
    0x08,  // ----O---
    0x04,  // -----O--
    0x04,  // -----O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x28,  // --O-O---
    0x44,  // -O---O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFF,  // OOOOOOOO
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x08,  // ----O---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x02,  // ------O-
    0x02,  // ------O-
    0x3E,  // --OOOOO-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3E,  // --OOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x7C,  // -OOOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x3E,  // --OOOOO-
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x3E,  // --OOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x3E,  // --OOOOO-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3E,  // --OOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x7E,  // -OOOOOO-
    0x40,  // -O------
    0x40,  // -O------
    0x3E,  // --OOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0E,  // ----OOO-
    0x10,  // ---O----
    0x10,  // ---O----
    0x7E,  // -OOOOOO-
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3E,  // --OOOOO-
    0x02,  // ------O-
    0x02,  // ------O-
    0x3C,  // --OOOO--
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x7C,  // -OOOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x08,  // ----O---
    0x08,  // ----O---
    0x00,  // --------
    0x38,  // --OOO---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x3E,  // --OOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x04,  // -----O--
    0x04,  // -----O--
    0x00,  // --------
    0x1C,  // ---OOO--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x78,  // -OOOO---
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x42,  // -O----O-
    0x44,  // -O---O--
    0x48,  // -O--O---
    0x70,  // -OOO----
    0x48,  // -O--O---
    0x44,  // -O---O--
    0x42,  // -O----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x3E,  // --OOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xEC,  // OOO-OO--
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x3C,  // --OOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3C,  // --OOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x7C,  // -OOOOO--
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x3E,  // --OOOOO-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3E,  // --OOOOO-
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x5E,  // -O-OOOO-
    0x60,  // -OO-----
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x40,  // -O------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x3E,  // --OOOOO-
    0x40,  // -O------
    0x40,  // -O------
    0x3C,  // --OOOO--
    0x02,  // ------O-
    0x02,  // ------O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x7E,  // -OOOOOO-
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x0E,  // ----OOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3E,  // --OOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x24,  // --O--O--
    0x18,  // ---OO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x6C,  // -OO-OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x24,  // --O--O--
    0x18,  // ---OO---
    0x24,  // --O--O--
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x42,  // -O----O-
    0x3E,  // --OOOOO-
    0x02,  // ------O-
    0x02,  // ------O-
    0x3C,  // --OOOO--
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0C,  // ----OO--
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x20,  // --O-----
    0x20,  // --O-----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x0C,  // ----OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x04,  // -----O--
    0x04,  // -----O--
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x62,  // -OO---O-
    0x92,  // O--O--O-
    0x8C,  // O---OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
};

const UCHAR VidFontIso8x16Data[16 * 95] = {
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x48,  // -O--O---
    0x48,  // -O--O---
    0x48,  // -O--O---
    0x48,  // -O--O---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x44,  // -O---O--
    0x44,  // -O---O--
    0xFE,  // OOOOOOO-
    0x44,  // -O---O--
    0x44,  // -O---O--
    0x44,  // -O---O--
    0xFE,  // OOOOOOO-
    0x44,  // -O---O--
    0x44,  // -O---O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x7C,  // -OOOOO--
    0x92,  // O--O--O-
    0x90,  // O--O----
    0x80,  // O-------
    0x7C,  // -OOOOO--
    0x02,  // ------O-
    0x12,  // ---O--O-
    0x92,  // O--O--O-
    0x7C,  // -OOOOO--
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x60,  // -OO-----
    0xF2,  // OOOO--O-
    0x64,  // -OO--O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x4C,  // -O--OO--
    0x9E,  // O--OOOO-
    0x0C,  // ----OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x48,  // -O--O---
    0x48,  // -O--O---
    0x48,  // -O--O---
    0x32,  // --OO--O-
    0x4A,  // -O--O-O-
    0x84,  // O----O--
    0x84,  // O----O--
    0x84,  // O----O--
    0x7A,  // -OOOO-O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x20,  // --O-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x10,  // ---O----
    0x08,  // ----O---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x20,  // --O-----
    0x10,  // ---O----
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x54,  // -O-O-O--
    0x38,  // --OOO---
    0xFE,  // OOOOOOO-
    0x38,  // --OOO---
    0x54,  // -O-O-O--
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0xFE,  // OOOOOOO-
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x20,  // --O-----
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x30,  // --OO----
    0x30,  // --OO----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x02,  // ------O-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0x80,  // O-------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x44,  // -O---O--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x38,  // --OOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x30,  // --OO----
    0x50,  // -O-O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x3C,  // --OOOO--
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x04,  // -----O--
    0x0C,  // ----OO--
    0x14,  // ---O-O--
    0x24,  // --O--O--
    0x44,  // -O---O--
    0x84,  // O----O--
    0xFE,  // OOOOOOO-
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0xFC,  // OOOOOO--
    0x82,  // O-----O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0xFC,  // OOOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x02,  // ------O-
    0x02,  // ------O-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7E,  // -OOOOOO-
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x20,  // --O-----
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0x20,  // --O-----
    0x10,  // ---O----
    0x08,  // ----O---
    0x04,  // -----O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x40,  // -O------
    0x20,  // --O-----
    0x10,  // ---O----
    0x08,  // ----O---
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x02,  // ------O-
    0x0C,  // ----OO--
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xBA,  // O-OOO-O-
    0xAA,  // O-O-O-O-
    0xAA,  // O-O-O-O-
    0x9C,  // O--OOO--
    0x80,  // O-------
    0x80,  // O-------
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x44,  // -O---O--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xFE,  // OOOOOOO-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xFC,  // OOOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xFC,  // OOOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xF8,  // OOOOO---
    0x84,  // O----O--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x84,  // O----O--
    0xF8,  // OOOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0xFC,  // OOOOOO--
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0xFC,  // OOOOOO--
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x80,  // O-------
    0x80,  // O-------
    0x9E,  // O--OOOO-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xFE,  // OOOOOOO-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x3E,  // --OOOOO-
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x04,  // -----O--
    0x84,  // O----O--
    0x78,  // -OOOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x84,  // O----O--
    0x88,  // O---O---
    0x90,  // O--O----
    0xA0,  // O-O-----
    0xC0,  // OO------
    0xA0,  // O-O-----
    0x90,  // O--O----
    0x88,  // O---O---
    0x84,  // O----O--
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0xC6,  // OO---OO-
    0xAA,  // O-O-O-O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0xC2,  // OO----O-
    0xA2,  // O-O---O-
    0x92,  // O--O--O-
    0x8A,  // O---O-O-
    0x86,  // O----OO-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xFC,  // OOOOOO--
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x7C,  // -OOOOO--
    0x08,  // ----O---
    0x04,  // -----O--
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFC,  // OOOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xFC,  // OOOOOO--
    0x84,  // O----O--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x80,  // O-------
    0x60,  // -OO-----
    0x30,  // --OO----
    0x0C,  // ----OO--
    0x02,  // ------O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x28,  // --O-O---
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0xAA,  // O-O-O-O-
    0x44,  // -O---O--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x28,  // --O-O---
    0x10,  // ---O----
    0x28,  // --O-O---
    0x44,  // -O---O--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x28,  // --O-O---
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x02,  // ------O-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0x80,  // O-------
    0x80,  // O-------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x38,  // --OOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x80,  // O-------
    0x40,  // -O------
    0x20,  // --O-----
    0x10,  // ---O----
    0x08,  // ----O---
    0x04,  // -----O--
    0x02,  // ------O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x38,  // --OOO---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x38,  // --OOO---
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x10,  // ---O----
    0x28,  // --O-O---
    0x44,  // -O---O--
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x78,  // -OOOO---
    0x04,  // -----O--
    0x04,  // -----O--
    0x7C,  // -OOOOO--
    0x84,  // O----O--
    0x84,  // O----O--
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0xBC,  // O-OOOO--
    0xC2,  // OO----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xFC,  // OOOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x7A,  // -OOOO-O-
    0x86,  // O----OO-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7E,  // -OOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xFE,  // OOOOOOO-
    0x80,  // O-------
    0x80,  // O-------
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x1C,  // ---OOO--
    0x20,  // --O-----
    0x20,  // --O-----
    0xF8,  // OOOOO---
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x86,  // O----OO-
    0x7A,  // -OOOO-O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x7C,  // -OOOOO--
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0xBC,  // O-OOOO--
    0xC2,  // OO----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------
    0x70,  // -OOO----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x08,  // ----O---
    0x08,  // ----O---
    0x00,  // --------
    0x38,  // --OOO---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x08,  // ----O---
    0x70,  // -OOO----
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x86,  // O----OO-
    0x98,  // O--OO---
    0xE0,  // OOO-----
    0x90,  // O--O----
    0x88,  // O---O---
    0x84,  // O----O--
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x60,  // -OO-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x1C,  // ---OOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xEC,  // OOO-OO--
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xBC,  // O-OOOO--
    0xC2,  // OO----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7C,  // -OOOOO--
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x7C,  // -OOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xBC,  // O-OOOO--
    0xC2,  // OO----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0xC2,  // OO----O-
    0xBC,  // O-OOOO--
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x86,  // O----OO-
    0x7A,  // -OOOO-O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xBC,  // O-OOOO--
    0xC2,  // OO----O-
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x80,  // O-------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x7E,  // -OOOOOO-
    0x80,  // O-------
    0x80,  // O-------
    0x7C,  // -OOOOO--
    0x02,  // ------O-
    0x02,  // ------O-
    0xFC,  // OOOOOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x20,  // --O-----
    0x20,  // --O-----
    0xFC,  // OOOOOO--
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x20,  // --O-----
    0x1C,  // ---OOO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x86,  // O----OO-
    0x7A,  // -OOOO-O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x28,  // --O-O---
    0x10,  // ---O----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x92,  // O--O--O-
    0x6C,  // -OO-OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x44,  // -O---O--
    0x28,  // --O-O---
    0x10,  // ---O----
    0x28,  // --O-O---
    0x44,  // -O---O--
    0x82,  // O-----O-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x82,  // O-----O-
    0x86,  // O----OO-
    0x7A,  // -OOOO-O-
    0x02,  // ------O-
    0x02,  // ------O-
    0x7C,  // -OOOOO--
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0xFE,  // OOOOOOO-
    0x04,  // -----O--
    0x08,  // ----O---
    0x10,  // ---O----
    0x20,  // --O-----
    0x40,  // -O------
    0xFE,  // OOOOOOO-
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x0C,  // ----OO--
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x60,  // -OO-----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x0C,  // ----OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x60,  // -OO-----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x0C,  // ----OO--
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x10,  // ---O----
    0x60,  // -OO-----
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------

    0x00,  // --------
    0x00,  // --------
    0x62,  // -OO---O-
    0x92,  // O--O--O-
    0x8C,  // O---OO--
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
    0x00,  // --------
};

const UCHAR VidFont6x8Data[5 * 95] = {
    0x00, // -------
    0x00, // -------
    0x00, // -------
    0x00, // -------
    0x00, // -------

    0x00, // -------
    0x00, // -------
    0x5F, // O-OOOOO
    0x00, // -------
    0x00, // -------

    0x00, // -------
    0x07, // ----OOO
    0x00, // -------
    0x07, // ----OOO
    0x00, // -------

    0x14, // --O-O--
    0x7F, // OOOOOOO
    0x14, // --O-O--
    0x7F, // OOOOOOO
    0x14, // --O-O--

    0x24, // -O--O--
    0x2A, // -O-O-O-
    0x7F, // OOOOOOO
    0x2A, // -O-O-O-
    0x12, // --O--O-

    0x23, // -O---OO
    0x13, // --O--OO
    0x08, // ---O---
    0x64, // OO--O--
    0x62, // OO---O-

    0x36, // -OO-OO-
    0x49, // O--O--O
    0x55, // O-O-O-O
    0x22, // -O---O-
    0x50, // O-O----

    0x00, // -------
    0x05, // ----O-O
    0x03, // -----OO
    0x00, // -------
    0x00, // -------

    0x00, // -------
    0x1C, // --OOO--
    0x22, // -O---O-
    0x41, // O-----O
    0x00, // -------

    0x00, // -------
    0x41, // O-----O
    0x22, // -O---O-
    0x1C, // --OOO--
    0x00, // -------

    0x08, // ---O---
    0x2A, // -O-O-O-
    0x1C, // --OOO--
    0x2A, // -O-O-O-
    0x08, // ---O---

    0x08, // ---O---
    0x08, // ---O---
    0x3E, // -OOOOO-
    0x08, // ---O---
    0x08, // ---O---

    0x00, // -------
    0x50, // O-O----
    0x30, // -OO----
    0x00, // -------
    0x00, // -------

    0x08, // ---O---
    0x08, // ---O---
    0x08, // ---O---
    0x08, // ---O---
    0x08, // ---O---

    0x00, // -------
    0x60, // OO-----
    0x60, // OO-----
    0x00, // -------
    0x00, // -------

    0x20, // -O-----
    0x10, // --O----
    0x08, // ---O---
    0x04, // ----O--
    0x02, // -----O-

    0x3E, // -OOOOO-
    0x51, // O-O---O
    0x49, // O--O--O
    0x45, // O---O-O
    0x3E, // -OOOOO-

    0x00, // -------
    0x42, // O----O-
    0x7F, // OOOOOOO
    0x40, // O------
    0x00, // -------

    0x42, // O----O-
    0x61, // OO----O
    0x51, // O-O---O
    0x49, // O--O--O
    0x46, // O---OO-

    0x21, // -O----O
    0x41, // O-----O
    0x45, // O---O-O
    0x4B, // O--O-OO
    0x31, // -OO---O

    0x18, // --OO---
    0x14, // --O-O--
    0x12, // --O--O-
    0x7F, // OOOOOOO
    0x10, // --O----

    0x27, // -O--OOO
    0x45, // O---O-O
    0x45, // O---O-O
    0x45, // O---O-O
    0x39, // -OOO--O

    0x3C, // -OOOO--
    0x4A, // O--O-O-
    0x49, // O--O--O
    0x49, // O--O--O
    0x30, // -OO----

    0x01, // ------O
    0x71, // OOO---O
    0x09, // ---O--O
    0x05, // ----O-O
    0x03, // -----OO

    0x36, // -OO-OO-
    0x49, // O--O--O
    0x49, // O--O--O
    0x49, // O--O--O
    0x36, // -OO-OO-

    0x06, // ----OO-
    0x49, // O--O--O
    0x49, // O--O--O
    0x29, // -O-O--O
    0x1E, // --OOOO-

    0x00, // -------
    0x36, // -OO-OO-
    0x36, // -OO-OO-
    0x00, // -------
    0x00, // -------

    0x00, // -------
    0x56, // O-O-OO-
    0x36, // -OO-OO-
    0x00, // -------
    0x00, // -------

    0x00, // -------
    0x08, // ---O---
    0x14, // --O-O--
    0x22, // -O---O-
    0x41, // O-----O

    0x14, // --O-O--
    0x14, // --O-O--
    0x14, // --O-O--
    0x14, // --O-O--
    0x14, // --O-O--

    0x41, // O-----O
    0x22, // -O---O-
    0x14, // --O-O--
    0x08, // ---O---
    0x00, // -------

    0x02, // -----O-
    0x01, // ------O
    0x51, // O-O---O
    0x09, // ---O--O
    0x06, // ----OO-

    0x32, // -OO--O-
    0x49, // O--O--O
    0x79, // OOOO--O
    0x41, // O-----O
    0x3E, // -OOOOO-

    0x7E, // OOOOOO-
    0x11, // --O---O
    0x11, // --O---O
    0x11, // --O---O
    0x7E, // OOOOOO-

    0x7F, // OOOOOOO
    0x49, // O--O--O
    0x49, // O--O--O
    0x49, // O--O--O
    0x36, // -OO-OO-

    0x3E, // -OOOOO-
    0x41, // O-----O
    0x41, // O-----O
    0x41, // O-----O
    0x22, // -O---O-

    0x7F, // OOOOOOO
    0x41, // O-----O
    0x41, // O-----O
    0x22, // -O---O-
    0x1C, // --OOO--

    0x7F, // OOOOOOO
    0x49, // O--O--O
    0x49, // O--O--O
    0x49, // O--O--O
    0x41, // O-----O

    0x7F, // OOOOOOO
    0x09, // ---O--O
    0x09, // ---O--O
    0x01, // ------O
    0x01, // ------O

    0x3E, // -OOOOO-
    0x41, // O-----O
    0x41, // O-----O
    0x51, // O-O---O
    0x32, // -OO--O-

    0x7F, // OOOOOOO
    0x08, // ---O---
    0x08, // ---O---
    0x08, // ---O---
    0x7F, // OOOOOOO

    0x00, // -------
    0x41, // O-----O
    0x7F, // OOOOOOO
    0x41, // O-----O
    0x00, // -------

    0x20, // -O-----
    0x40, // O------
    0x41, // O-----O
    0x3F, // -OOOOOO
    0x01, // ------O

    0x7F, // OOOOOOO
    0x08, // ---O---
    0x14, // --O-O--
    0x22, // -O---O-
    0x41, // O-----O

    0x7F, // OOOOOOO
    0x40, // O------
    0x40, // O------
    0x40, // O------
    0x40, // O------

    0x7F, // OOOOOOO
    0x02, // -----O-
    0x04, // ----O--
    0x02, // -----O-
    0x7F, // OOOOOOO

    0x7F, // OOOOOOO
    0x04, // ----O--
    0x08, // ---O---
    0x10, // --O----
    0x7F, // OOOOOOO

    0x3E, // -OOOOO-
    0x41, // O-----O
    0x41, // O-----O
    0x41, // O-----O
    0x3E, // -OOOOO-

    0x7F, // OOOOOOO
    0x09, // ---O--O
    0x09, // ---O--O
    0x09, // ---O--O
    0x06, // ----OO-

    0x3E, // -OOOOO-
    0x41, // O-----O
    0x51, // O-O---O
    0x21, // -O----O
    0x5E, // O-OOOO-

    0x7F, // OOOOOOO
    0x09, // ---O--O
    0x19, // --OO--O
    0x29, // -O-O--O
    0x46, // O---OO-

    0x46, // O---OO-
    0x49, // O--O--O
    0x49, // O--O--O
    0x49, // O--O--O
    0x31, // -OO---O

    0x01, // ------O
    0x01, // ------O
    0x7F, // OOOOOOO
    0x01, // ------O
    0x01, // ------O

    0x3F, // -OOOOOO
    0x40, // O------
    0x40, // O------
    0x40, // O------
    0x3F, // -OOOOOO

    0x1F, // --OOOOO
    0x20, // -O-----
    0x40, // O------
    0x20, // -O-----
    0x1F, // --OOOOO

    0x7F, // OOOOOOO
    0x20, // -O-----
    0x18, // --OO---
    0x20, // -O-----
    0x7F, // OOOOOOO

    0x63, // OO---OO
    0x14, // --O-O--
    0x08, // ---O---
    0x14, // --O-O--
    0x63, // OO---OO

    0x03, // -----OO
    0x04, // ----O--
    0x78, // OOOO---
    0x04, // ----O--
    0x03, // -----OO

    0x61, // OO----O
    0x51, // O-O---O
    0x49, // O--O--O
    0x45, // O---O-O
    0x43, // O----OO

    0x00, // -------
    0x00, // -------
    0x7F, // OOOOOOO
    0x41, // O-----O
    0x41, // O-----O

    0x02, // -----O-
    0x04, // ----O--
    0x08, // ---O---
    0x10, // --O----
    0x20, // -O-----

    0x41, // O-----O
    0x41, // O-----O
    0x7F, // OOOOOOO
    0x00, // -------
    0x00, // -------

    0x04, // ----O--
    0x02, // -----O-
    0x01, // ------O
    0x02, // -----O-
    0x04, // ----O--

    0x40, // O------
    0x40, // O------
    0x40, // O------
    0x40, // O------
    0x40, // O------

    0x00, // -------
    0x01, // ------O
    0x02, // -----O-
    0x04, // ----O--
    0x00, // -------

    0x20, // -O-----
    0x54, // O-O-O--
    0x54, // O-O-O--
    0x54, // O-O-O--
    0x78, // OOOO---

    0x7F, // OOOOOOO
    0x48, // O--O---
    0x44, // O---O--
    0x44, // O---O--
    0x38, // -OOO---

    0x38, // -OOO---
    0x44, // O---O--
    0x44, // O---O--
    0x44, // O---O--
    0x20, // -O-----

    0x38, // -OOO---
    0x44, // O---O--
    0x44, // O---O--
    0x48, // O--O---
    0x7F, // OOOOOOO

    0x38, // -OOO---
    0x54, // O-O-O--
    0x54, // O-O-O--
    0x54, // O-O-O--
    0x18, // --OO---

    0x08, // ---O---
    0x7E, // OOOOOO-
    0x09, // ---O--O
    0x01, // ------O
    0x02, // -----O-

    0x08, // ---O---
    0x14, // --O-O--
    0x54, // O-O-O--
    0x54, // O-O-O--
    0x3C, // -OOOO--

    0x7F, // OOOOOOO
    0x08, // ---O---
    0x04, // ----O--
    0x04, // ----O--
    0x78, // OOOO---

    0x00, // -------
    0x44, // O---O--
    0x7D, // OOOOO-O
    0x40, // O------
    0x00, // -------

    0x20, // -O-----
    0x40, // O------
    0x44, // O---O--
    0x3D, // -OOOO-O
    0x00, // -------

    0x00, // -------
    0x7F, // OOOOOOO
    0x10, // --O----
    0x28, // -O-O---
    0x44, // O---O--

    0x00, // -------
    0x41, // O-----O
    0x7F, // OOOOOOO
    0x40, // O------
    0x00, // -------

    0x7C, // OOOOO--
    0x04, // ----O--
    0x18, // --OO---
    0x04, // ----O--
    0x78, // OOOO---

    0x7C, // OOOOO--
    0x08, // ---O---
    0x04, // ----O--
    0x04, // ----O--
    0x78, // OOOO---

    0x38, // -OOO---
    0x44, // O---O--
    0x44, // O---O--
    0x44, // O---O--
    0x38, // -OOO---

    0x7C, // OOOOO--
    0x14, // --O-O--
    0x14, // --O-O--
    0x14, // --O-O--
    0x08, // ---O---

    0x08, // ---O---
    0x14, // --O-O--
    0x14, // --O-O--
    0x18, // --OO---
    0x7C, // OOOOO--

    0x7C, // OOOOO--
    0x08, // ---O---
    0x04, // ----O--
    0x04, // ----O--
    0x08, // ---O---

    0x48, // O--O---
    0x54, // O-O-O--
    0x54, // O-O-O--
    0x54, // O-O-O--
    0x20, // -O-----

    0x04, // ----O--
    0x3F, // -OOOOOO
    0x44, // O---O--
    0x40, // O------
    0x20, // -O-----

    0x3C, // -OOOO--
    0x40, // O------
    0x40, // O------
    0x20, // -O-----
    0x7C, // OOOOO--

    0x1C, // --OOO--
    0x20, // -O-----
    0x40, // O------
    0x20, // -O-----
    0x1C, // --OOO--

    0x3C, // -OOOO--
    0x40, // O------
    0x30, // -OO----
    0x40, // O------
    0x3C, // -OOOO--

    0x44, // O---O--
    0x28, // -O-O---
    0x10, // --O----
    0x28, // -O-O---
    0x44, // O---O--

    0x0C, // ---OO--
    0x50, // O-O----
    0x50, // O-O----
    0x50, // O-O----
    0x3C, // -OOOO--

    0x44, // O---O--
    0x64, // OO--O--
    0x54, // O-O-O--
    0x4C, // O--OO--
    0x44, // O---O--

    0x00, // -------
    0x08, // ---O---
    0x36, // -OO-OO-
    0x41, // O-----O
    0x00, // -------

    0x00, // -------
    0x00, // -------
    0x7F, // OOOOOOO
    0x00, // -------
    0x00, // -------

    0x00, // -------
    0x41, // O-----O
    0x36, // -OO-OO-
    0x08, // ---O---
    0x00, // -------

    0x0C, // ---OO--
    0x02, // -----O-
    0x0C, // ---OO--
    0x10, // --O----
    0x0C, // ---OO--
};

const UCHAR VidFont4x6Data[3 * 95] = {
    0x00, // ------
    0x00, // ------
    0x00, // ------

    0x00, // ------
    0x17, // -O-OOO
    0x00, // ------

    0x03, // ----OO
    0x00, // ------
    0x03, // ----OO

    0x1F, // -OOOOO
    0x0A, // --O-O-
    0x1F, // -OOOOO

    0x0A, // --O-O-
    0x1F, // -OOOOO
    0x05, // ---O-O

    0x09, // --O--O
    0x04, // ---O--
    0x12, // -O--O-

    0x0F, // --OOOO
    0x17, // -O-OOO
    0x1C, // -OOO--

    0x00, // ------
    0x03, // ----OO
    0x00, // ------

    0x00, // ------
    0x0E, // --OOO-
    0x11, // -O---O

    0x11, // -O---O
    0x0E, // --OOO-
    0x00, // ------

    0x05, // ---O-O
    0x02, // ----O-
    0x05, // ---O-O

    0x04, // ---O--
    0x0E, // --OOO-
    0x04, // ---O--

    0x10, // -O----
    0x08, // --O---
    0x00, // ------

    0x04, // ---O--
    0x04, // ---O--
    0x04, // ---O--

    0x00, // ------
    0x10, // -O----
    0x00, // ------

    0x18, // -OO---
    0x04, // ---O--
    0x03, // ----OO

    0x1E, // -OOOO-
    0x11, // -O---O
    0x0F, // --OOOO

    0x02, // ----O-
    0x1F, // -OOOOO
    0x00, // ------

    0x19, // -OO--O
    0x15, // -O-O-O
    0x12, // -O--O-

    0x11, // -O---O
    0x15, // -O-O-O
    0x0A, // --O-O-

    0x07, // ---OOO
    0x04, // ---O--
    0x1F, // -OOOOO

    0x17, // -O-OOO
    0x15, // -O-O-O
    0x09, // --O--O

    0x1E, // -OOOO-
    0x15, // -O-O-O
    0x1D, // -OOO-O

    0x19, // -OO--O
    0x05, // ---O-O
    0x03, // ----OO

    0x1F, // -OOOOO
    0x15, // -O-O-O
    0x1F, // -OOOOO

    0x17, // -O-OOO
    0x15, // -O-O-O
    0x0F, // --OOOO

    0x00, // ------
    0x0A, // --O-O-
    0x00, // ------

    0x10, // -O----
    0x0A, // --O-O-
    0x00, // ------

    0x04, // ---O--
    0x0A, // --O-O-
    0x11, // -O---O

    0x0A, // --O-O-
    0x0A, // --O-O-
    0x0A, // --O-O-

    0x11, // -O---O
    0x0A, // --O-O-
    0x04, // ---O--

    0x01, // -----O
    0x15, // -O-O-O
    0x03, // ----OO

    0x0E, // --OOO-
    0x15, // -O-O-O
    0x16, // -O-OO-

    0x1E, // -OOOO-
    0x05, // ---O-O
    0x1E, // -OOOO-

    0x1F, // -OOOOO
    0x15, // -O-O-O
    0x0A, // --O-O-

    0x0E, // --OOO-
    0x11, // -O---O
    0x11, // -O---O

    0x1F, // -OOOOO
    0x11, // -O---O
    0x0E, // --OOO-

    0x1F, // -OOOOO
    0x15, // -O-O-O
    0x15, // -O-O-O

    0x1F, // -OOOOO
    0x05, // ---O-O
    0x05, // ---O-O

    0x0E, // --OOO-
    0x15, // -O-O-O
    0x1D, // -OOO-O

    0x1F, // -OOOOO
    0x04, // ---O--
    0x1F, // -OOOOO

    0x11, // -O---O
    0x1F, // -OOOOO
    0x11, // -O---O

    0x08, // --O---
    0x10, // -O----
    0x0F, // --OOOO

    0x1F, // -OOOOO
    0x04, // ---O--
    0x1B, // -OO-OO

    0x1F, // -OOOOO
    0x10, // -O----
    0x10, // -O----

    0x1F, // -OOOOO
    0x06, // ---OO-
    0x1F, // -OOOOO

    0x1F, // -OOOOO
    0x0E, // --OOO-
    0x1F, // -OOOOO

    0x0E, // --OOO-
    0x11, // -O---O
    0x0E, // --OOO-

    0x1F, // -OOOOO
    0x05, // ---O-O
    0x02, // ----O-

    0x0E, // --OOO-
    0x19, // -OO--O
    0x1E, // -OOOO-

    0x1F, // -OOOOO
    0x0D, // --OO-O
    0x16, // -O-OO-

    0x12, // -O--O-
    0x15, // -O-O-O
    0x09, // --O--O

    0x01, // -----O
    0x1F, // -OOOOO
    0x01, // -----O

    0x0F, // --OOOO
    0x10, // -O----
    0x1F, // -OOOOO

    0x07, // ---OOO
    0x08, // --O---
    0x07, // ---OOO

    0x1F, // -OOOOO
    0x0C, // --OO--
    0x1F, // -OOOOO

    0x1B, // -OO-OO
    0x04, // ---O--
    0x1B, // -OO-OO

    0x03, // ----OO
    0x1C, // -OOO--
    0x03, // ----OO

    0x19, // -OO--O
    0x15, // -O-O-O
    0x13, // -O--OO

    0x1F, // -OOOOO
    0x11, // -O---O
    0x11, // -O---O

    0x02, // ----O-
    0x04, // ---O--
    0x08, // --O---

    0x11, // -O---O
    0x11, // -O---O
    0x1F, // -OOOOO

    0x02, // ----O-
    0x01, // -----O
    0x02, // ----O-

    0x10, // -O----
    0x10, // -O----
    0x10, // -O----

    0x01, // -----O
    0x02, // ----O-
    0x00, // ------

    0x1A, // -OO-O-
    0x16, // -O-OO-
    0x1C, // -OOO--

    0x1F, // -OOOOO
    0x12, // -O--O-
    0x0C, // --OO--

    0x0C, // --OO--
    0x12, // -O--O-
    0x12, // -O--O-

    0x0C, // --OO--
    0x12, // -O--O-
    0x1F, // -OOOOO

    0x0C, // --OO--
    0x1A, // -OO-O-
    0x16, // -O-OO-

    0x04, // ---O--
    0x1E, // -OOOO-
    0x05, // ---O-O

    0x0C, // --OO--
    0x2A, // O-O-O-
    0x1E, // -OOOO-

    0x1F, // -OOOOO
    0x02, // ----O-
    0x1C, // -OOO--

    0x00, // ------
    0x1D, // -OOO-O
    0x00, // ------

    0x10, // -O----
    0x20, // O-----
    0x1D, // -OOO-O

    0x1F, // -OOOOO
    0x0C, // --OO--
    0x12, // -O--O-

    0x11, // -O---O
    0x1F, // -OOOOO
    0x10, // -O----

    0x1E, // -OOOO-
    0x0E, // --OOO-
    0x1E, // -OOOO-

    0x1E, // -OOOO-
    0x02, // ----O-
    0x1C, // -OOO--

    0x0C, // --OO--
    0x12, // -O--O-
    0x0C, // --OO--

    0x3E, // OOOOO-
    0x12, // -O--O-
    0x0C, // --OO--

    0x0C, // --OO--
    0x12, // -O--O-
    0x3E, // OOOOO-

    0x1C, // -OOO--
    0x02, // ----O-
    0x02, // ----O-

    0x14, // -O-O--
    0x1E, // -OOOO-
    0x0A, // --O-O-

    0x02, // ----O-
    0x1F, // -OOOOO
    0x12, // -O--O-

    0x0E, // --OOO-
    0x10, // -O----
    0x1E, // -OOOO-

    0x0E, // --OOO-
    0x18, // -OO---
    0x0E, // --OOO-

    0x1E, // -OOOO-
    0x1C, // -OOO--
    0x1E, // -OOOO-

    0x12, // -O--O-
    0x0C, // --OO--
    0x12, // -O--O-

    0x06, // ---OO-
    0x28, // O-O---
    0x1E, // -OOOO-

    0x1A, // -OO-O-
    0x1E, // -OOOO-
    0x16, // -O-OO-

    0x04, // ---O--
    0x1B, // -OO-OO
    0x11, // -O---O

    0x00, // ------
    0x1B, // -OO-OO
    0x00, // ------

    0x11, // -O---O
    0x1B, // -OO-OO
    0x04, // ---O--

    0x02, // ----O-
    0x03, // ----OO
    0x01, // -----O
};

BASE_VIDEO_FONT VidFontVga8x16 = {
    95,
    32,
    1,
    8,
    8,
    16,
    16,
    0,
    VidFontVga8x16Data
};

BASE_VIDEO_FONT VidFontVga9x16 = {
    95,
    32,
    1,
    8,
    9,
    16,
    16,
    0,
    VidFontVga9x16Data
};

BASE_VIDEO_FONT VidFontVerite8x16 = {
    95,
    32,
    1,
    8,
    8,
    16,
    16,
    0,
    VidFontVerite8x16Data
};

BASE_VIDEO_FONT VidFontPs2Thin48x16 = {
    95,
    32,
    1,
    8,
    8,
    16,
    16,
    0,
    VidFontPs2Thin48x16Data
};

BASE_VIDEO_FONT VidFontIso8x16 = {
    95,
    32,
    1,
    8,
    8,
    16,
    16,
    0,
    VidFontIso8x16Data
};

BASE_VIDEO_FONT VidFont6x8 = {
    95,
    32,
    1,
    5,
    6,
    7,
    8,
    BASE_VIDEO_FONT_ROTATED,
    VidFont6x8Data
};

BASE_VIDEO_FONT VidFont4x6 = {
    95,
    32,
    1,
    3,
    4,
    6,
    6,
    BASE_VIDEO_FONT_ROTATED,
    VidFont4x6Data
};

